package com.sunxung.factoring.entity.financing.sop;

public class RltRepay {

    /**
     * 身份类型
     * 0：自然人 ，1：组织机构
     */
    private Integer arlpIdType;

    /**
     * 责任人名称
     */
    private String arlpName;

    /**
     * 责任人身份标识类型
     * 0：户口簿，1：护照，2：港澳居民来往内地通行证 ，3：台湾同胞来往内地通行证
     */
    private Integer arlpCertType;

    /**
     * 身份标识号码
     */
    private String arlpCertNum;

    /**
     * 联系方式
     */
    private String responsiblePhone;

    /**
     * 邮箱
     */
    private String responsibleEmail;

    /**
     * 上报方式
     * 1:A类，0:B类
     */
    private Integer responsibleReportMethod;

    /**
     * 还款责任人类型
     * 0 共同借款人 1 保证人 2票据承兑人 3 应收账款债务人 4 供应链中核心企业 5 其他
     */
    private Integer arlpType;

    /**
     * 还款责任金额
     */
    private String arlpAmt;

    /**
     * 保证类型
     * 个人：personal，公司：company
     */
    private String guaranteeType;

    /**
     * 担保人名称
     */
    private String guarantorName;

    /**
     * 担保人证件类型
     * 0：身份证； 1：护照； B：港澳居民来往内地通行证, C：台湾居民来往大陆通行证;
     */
    private String guaranteeCardType;

    /**
     * 担保人证件号
     */
    private String certificateNo;

    /**
     * 担保人联系方式
     */
    private String contactNumber;

    /**
     * 担保人证件照正面
     */
    private String guaranteeCardFrontFile;

    /**
     * 担保人证件照正面文件后缀
     */
    private String guaranteeCardFrontFileSuffix;

    /**
     * 担保人证件照反面
     */
    private String guaranteeCardReverseFile;

    /**
     * 担保人证件照反面文件后缀
     */
    private String guaranteeCardReverseFileSuffix;

    /**
     * 邮箱
     */
    private String guarantorEmail;

    /**
     * 住所地(身份证地址)
     */
    private String address;

    /**
     * 实际地址(实际住址)
     */
    private String actualAddress;

    /**
     * 是否有资产清单
     * 0：无，1：有
     */
    private Integer propertyList;

    /**
     * 担保函类型
     * 0：常规担保函，1：最高额保证合同
     */
    private Integer guaranteeClassify;

    public String getGuaranteeType() {
        return guaranteeType;
    }

    public void setGuaranteeType(String guaranteeType) {
        this.guaranteeType = guaranteeType;
    }

    public String getGuarantorName() {
        return guarantorName;
    }

    public void setGuarantorName(String guarantorName) {
        this.guarantorName = guarantorName;
    }

    public String getGuaranteeCardType() {
        return guaranteeCardType;
    }

    public void setGuaranteeCardType(String guaranteeCardType) {
        this.guaranteeCardType = guaranteeCardType;
    }

    public String getCertificateNo() {
        return certificateNo;
    }

    public void setCertificateNo(String certificateNo) {
        this.certificateNo = certificateNo;
    }

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public String getGuaranteeCardFrontFile() {
        return guaranteeCardFrontFile;
    }

    public void setGuaranteeCardFrontFile(String guaranteeCardFrontFile) {
        this.guaranteeCardFrontFile = guaranteeCardFrontFile;
    }

    public String getGuaranteeCardFrontFileSuffix() {
        return guaranteeCardFrontFileSuffix;
    }

    public void setGuaranteeCardFrontFileSuffix(String guaranteeCardFrontFileSuffix) {
        this.guaranteeCardFrontFileSuffix = guaranteeCardFrontFileSuffix;
    }

    public String getGuaranteeCardReverseFile() {
        return guaranteeCardReverseFile;
    }

    public void setGuaranteeCardReverseFile(String guaranteeCardReverseFile) {
        this.guaranteeCardReverseFile = guaranteeCardReverseFile;
    }

    public String getGuaranteeCardReverseFileSuffix() {
        return guaranteeCardReverseFileSuffix;
    }

    public void setGuaranteeCardReverseFileSuffix(String guaranteeCardReverseFileSuffix) {
        this.guaranteeCardReverseFileSuffix = guaranteeCardReverseFileSuffix;
    }

    public String getGuarantorEmail() {
        return guarantorEmail;
    }

    public void setGuarantorEmail(String guarantorEmail) {
        this.guarantorEmail = guarantorEmail;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getActualAddress() {
        return actualAddress;
    }

    public void setActualAddress(String actualAddress) {
        this.actualAddress = actualAddress;
    }

    public Integer getPropertyList() {
        return propertyList;
    }

    public void setPropertyList(Integer propertyList) {
        this.propertyList = propertyList;
    }

    public Integer getGuaranteeClassify() {
        return guaranteeClassify;
    }

    public void setGuaranteeClassify(Integer guaranteeClassify) {
        this.guaranteeClassify = guaranteeClassify;
    }

    public Integer getArlpIdType() {
        return arlpIdType;
    }

    public void setArlpIdType(Integer arlpIdType) {
        this.arlpIdType = arlpIdType;
    }

    public String getArlpName() {
        return arlpName;
    }

    public void setArlpName(String arlpName) {
        this.arlpName = arlpName;
    }

    public Integer getArlpCertType() {
        return arlpCertType;
    }

    public void setArlpCertType(Integer arlpCertType) {
        this.arlpCertType = arlpCertType;
    }

    public String getArlpCertNum() {
        return arlpCertNum;
    }

    public void setArlpCertNum(String arlpCertNum) {
        this.arlpCertNum = arlpCertNum;
    }

    public String getResponsiblePhone() {
        return responsiblePhone;
    }

    public void setResponsiblePhone(String responsiblePhone) {
        this.responsiblePhone = responsiblePhone;
    }

    public String getResponsibleEmail() {
        return responsibleEmail;
    }

    public void setResponsibleEmail(String responsibleEmail) {
        this.responsibleEmail = responsibleEmail;
    }

    public Integer getResponsibleReportMethod() {
        return responsibleReportMethod;
    }

    public void setResponsibleReportMethod(Integer responsibleReportMethod) {
        this.responsibleReportMethod = responsibleReportMethod;
    }

    public Integer getArlpType() {
        return arlpType;
    }

    public void setArlpType(Integer arlpType) {
        this.arlpType = arlpType;
    }

    public String getArlpAmt() {
        return arlpAmt;
    }

    public void setArlpAmt(String arlpAmt) {
        this.arlpAmt = arlpAmt;
    }

    @Override
    public String toString() {
        return "RltRepay{" +
                "arlpIdType=" + arlpIdType +
                ", arlpName='" + arlpName + '\'' +
                ", arlpCertType=" + arlpCertType +
                ", arlpCertNum='" + arlpCertNum + '\'' +
                ", responsiblePhone='" + responsiblePhone + '\'' +
                ", responsibleEmail='" + responsibleEmail + '\'' +
                ", responsibleReportMethod=" + responsibleReportMethod +
                ", arlpType=" + arlpType +
                ", arlpAmt='" + arlpAmt + '\'' +
                '}';
    }
}
